# toolbar.setbutton

Sets the text, the icon or the state of a toolbar button

Syntax

    toolbar.setbutton [-a] [-c] [-t | -i] [-e] [-d] [-q] <toolbar> <name> [param]

Description

Changes the state of the button named <name> residing in the toolbar <toolbar>.
If the specified button or toolbar do not exist then a warning is printed unless the -q switch is used.
-e causes the button to be enabled.
-d causes the button to be disabled.
-t sets the button text to [param].
-i sets the button icon to [param] that must be a valid image identifier.
-t and -i are mutually exclusive: if both are given then -t takes precedence.
-e and -d work for the button in the current frame unless -a is specified: in that case the button is updated in all the frames.
-e and -d are mutually exclusive: if both are given then -d takes precedence.

See also
toolbar.addbutton

Main, Commands

KVIrc 3.0.0 Documentation
Generated by root at Sat Oct 16 22:01:45 2004